Bug 203428 - (CVE-2006-4226) CVE-2006-4226 mysql-server create database privilege escalation
CVE-2006-4226 mysql-server create database privilege escalation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
reported=20060817,source=gentoo,publi...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-21 16:45 EDT by Josh Bressers
Modified: 2013-07-02 23:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.0.27-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 21:20:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-08-21 16:45:04 EDT
+++ This bug was initially created as a clone of Bug #203426 +++

Mysql upstream found a bug in the way the mysql server handles database
permissions when the server is run on a case sensitive filesystem.

This could allow a user who has been granted certain rights to do unexpected
things, such as creating a new database.

The upstream bug has more information:
http://bugs.mysql.com/bug.php?id=17647
Comment 1 Mark J. Cox (Product Security) 2006-09-15 05:03:44 EDT
Still needed

Note You need to log in before you can comment on or make changes to this bug.